Package org.apache.aries.jax.rs.jaxb.json.activator

## Class JsonProviderPrototypeServiceFactory

- java.lang.Object
- - org.apache.aries.jax.rs.jaxb.json.activator.JsonProviderPrototypeServiceFactory

All Implemented Interfaces:
  `org.osgi.framework.PrototypeServiceFactory<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>>`, `org.osgi.framework.ServiceFactory<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>>`

    @Capability(attribute={"objectClass:List<String>=\'javax.ws.rs.ext.MessageBodyReader,javax.ws.rs.ext.MessageBodyWriter\'","osgi.jaxrs.media.type=application/json","osgi.jaxrs.name=cxf.jettison"},
                namespace="osgi.service")
    @RequireJaxrsWhiteboard
    public class JsonProviderPrototypeServiceFactory
    extends Object
    implements org.osgi.framework.PrototypeServiceFactory<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>>

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.cxf.jaxrs.provider.json.JSONProvider<?>` `getService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>> registration)`
`void` `ungetService​(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>> registration, org.apache.cxf.jaxrs.provider.json.JSONProvider<?> service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getService

    public org.apache.cxf.jaxrs.provider.json.JSONProvider<?> getService​(org.osgi.framework.Bundle bundle,
                                                                         org.osgi.framework.ServiceRegistration<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>> registration)

Specified by:
  `getService` in interface `org.osgi.framework.PrototypeServiceFactory<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>>`
Specified by:
  `getService` in interface `org.osgi.framework.ServiceFactory<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>>`

#### ungetService

    public void ungetService​(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>> registration,
                             org.apache.cxf.jaxrs.provider.json.JSONProvider<?> service)

Specified by:
  `ungetService` in interface `org.osgi.framework.PrototypeServiceFactory<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>>`
Specified by:
  `ungetService` in interface `org.osgi.framework.ServiceFactory<org.apache.cxf.jaxrs.provider.json.JSONProvider<?>>`